<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">External Functions<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___a_l_g.html">GTRACK Algorithm Library</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___external.html">Externals</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>External MODULE level API, called by Application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2733d052b2cd02bb8211eb817aa3190d"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2733d052b2cd02bb8211eb817aa3190d">gtrack_create</a> (<a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a> *config, int32_t *errCode)</td></tr>
<tr class="separator:ga2733d052b2cd02bb8211eb817aa3190d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ab64b40df30e6956990bb79d63e78b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0ab64b40df30e6956990bb79d63e78b4">gtrack_delete</a> (void *handle)</td></tr>
<tr class="separator:ga0ab64b40df30e6956990bb79d63e78b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab690635a7210e712a6d3ab4eef331071"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab690635a7210e712a6d3ab4eef331071">gtrack_step</a> (void *handle, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, <a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *var, uint16_t mNum, <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *t, uint16_t *tNum, uint8_t *mIndex, uint32_t *bench)</td></tr>
<tr class="separator:gab690635a7210e712a6d3ab4eef331071"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>External MODULE level API, called by Application. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga2733d052b2cd02bb8211eb817aa3190d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* gtrack_create </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Algorithm level create funtion. Application calls this function to create an instance of GTRACK algorithm with desired configuration parameters. Function returns a handle, which shall be used to execute a single frame step function, or a delete function</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">config</td><td>This is a pointer to the configuration structure. The structure contains all parameters that are exposed by GTRACK alrorithm. The configuration does not need to persist. Advanced configuration structure can be set to NULL to use the default one. Any field within Advanced configuration can also be set to NULL to use the default values for the field. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error, see <a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html">Algorithm Error codes</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Handle</td><td>to GTRACK module </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0ab64b40df30e6956990bb79d63e78b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Algorithm level delete funtion Application calls this function to delete an instance of GTRACK algorithm</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to GTRACK module</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab690635a7210e712a6d3ab4eef331071"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_step </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *&#160;</td>
          <td class="paramname"><em>var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>mNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>tNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>mIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>bench</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Algorithm level step funtion Application shall call this function to process one frame of measurements with a given instance of the algorithm</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to GTRACK module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point</td><td>Pointer to an array of input measurments. Each measurement has range/angle/radial velocity information </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">var</td><td>Pointer to an array of input measurment variances. Shall be set to NULL if variances are unknown </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mNum</td><td>Number of input measurements </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">t</td><td>Pointer to an array of <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a>. Application shall provide sufficient space for the expected number of targets. This function populates the descritions for each of the tracked target </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">tNum</td><td>Pointer to a uint16_t value. Function returns a number of populated target descriptos </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">mIndex</td><td>Pointer to an array of uint8_t indices. Application shall provide sufficient space to index all measurment points. This function populates target indices, indicating which tracking ID was assigned to each measurment. See Target ID defeinitions, example <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a522224d04fcc4aec672fcb7d6560e4">GTRACK_ID_POINT_NOT_ASSOCIATED</a> Shall be set to NULL when indices aren't required. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">bench</td><td>Pointer to an array of benchmarking results. Each result is a 32bit timestamp. The array size shall be <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga395da7089c9f0bc8e946ea762e205a59">GTRACK_BENCHMARK_SIZE</a>. This function populates the array with the timestamps of free runing CPU cycles count. Shall be set to NULL when benchmarking isn't required.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
